<%
	Const adOpenKeyset = 1
	Const adLockOptimistic = 3
	Const adCmdUnknown = &H0008
	Const adCmdText = &H0001
	Const adCmdTable = &H0002
	Const adCmdStoredProc = &H0004
	
Class ClsDatabase
	Private	mConnStr
	
	Private Sub Class_Initialize()
		Dim	FileLoc
		
		Select Case Request.ServerVariables("SERVER_NAME")
			Case "pserver", "192.168.1.1"
				'	Development server.
				
				FileLoc	=	"D:\Inetpub\wwwroot\BracknellLions\db\BFLC.mdb"
			Case Else
				'	Live server.
				
				FileLoc	=	"D:\webs\bracknelllions.org.uk\db\BFLC.mdb"
		End Select
		
		mConnStr	=	"provider=Microsoft.Jet.OLEDB.4.0;" & _
			"Data Source=" & FileLoc
	End Sub
	
	'	======================================================================
	'	UkDate()
	'	======================================================================
	Public Function UkDate(DateVal)
		UkDate	=	Right("00" & Day(DateVal), 2) & "/" & _
			Right("00" & Month(DateVal), 2) & "/" & _
			Right("0000" & Year(DateVal), 4)
	End Function
	
	'	======================================================================
	'	Quoted()
	'	======================================================================
	Public Function Quoted(SrcStr)
		Quoted	=	SrcStr
		Quoted	=	replace(Quoted, "'", "''")
		Quoted	=	"'" & Quoted & "'"
	End Function
	
	'	======================================================================
	'	SqlQuery()
	'	Perform a SQL query, return a disconnected recordset.
	'	======================================================================
	Function SqlQuery(sSqlStr)
		Dim oCmd
		
		' Response.Write "SQLSTR: " & sSqlStr & "<br>"
		
		Set oCmd = CreateObject("ADODB.Command")
		oCmd.ActiveConnection = mConnStr
		oCmd.CommandType = adCmdText
		oCmd.CommandText = sSqlStr
		Set SqlQuery = oCmd.Execute
		oCmd.ActiveConnection = Nothing
		Set oCmd = Nothing
	End Function
	
	'	======================================================================
	'	SqlAction()
	'	Execute a SQL command.
	'	======================================================================
	Function SqlAction(sSqlStr)
		Dim oCmd
		
		' Response.Write "SQLSTR: " & sSqlStr & "<br>"
		
		SqlAction = False
		Set oCmd = CreateObject("ADODB.Command")
		oCmd.ActiveConnection = mConnStr
		oCmd.CommandType = adCmdText
		oCmd.CommandText = sSqlStr
		oCmd.Execute
		oCmd.ActiveConnection = Nothing
		Set oCmd = Nothing
		SqlAction = True
	End Function
End Class
%>
